ISCNTRL(3)

NAME
iscntrl - control character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
iscntrl(int c);

DESCRIPTION
The iscntrl() function tests for any control character. For single C chars locales (see multibyte(3)) the value of the argument is representable as an unsigned char or the value of EOF. In the ASCII character set, this includes the following characters (with their numeric values shown in octal):

000 nul | 001 soh | 002 stx | 003 etx | 004 eot
005 enq | 006 ack | 007 bel | 010 bs | 011 ht
012 nl | 013 vt | 014 np | 015 cr | 016 so
017 si | 020 dle | 021 dc1 | 022 dc2 | 023 dc3
024 dc4 | 025 nak | 026 syn | 027 etb | 030 can
031 em | 032 sub | 033 esc | 034 fs | 035 gs
036 rs | 037 us | 177 del

RETURN VALUES
The iscntrl() function returns zero if the character tests false and returns non-zero if the character tests true.

SEE ALSO
ctype(3), multibyte(3), ascii(7)

STANDARDS
The iscntrl() function conforms to ansiC.